# See full Decap documentation for further configuration: https://decapcms.org/docs/intro/
backend:
  name: git-gateway
  branch: main # Branch to update (optional; defaults to master)
local_backend: false
media_folder: src/assets/images/backend # Location where files will be stored in the repo - we store them in src so that Astro can optimize them.
public_folder: /assets/images/backend # Ensure that this path is the same as the media_folder path above.
site_url: https://rankyourthings.com # Displays a link to home page in the top-right corner of the CMS dashboard

collections:
  - name: "JesseGamesBeat" # Used in routes, e.g., /admin/collections/jesseGames. Is also the key when fetching data from the CMS.
    label: "Jesse Games I beat" # Used in the admin dashboard UI
    folder: "src/content/jesseGamesBeat" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    slug: "{{fields.Game}}" # Use the game name as the file name
    fields: # The fields for each document
      - { label: "Game", name: "Game", widget: "string" }
      - {
          label: "Quick Thoughts",
          name: "Thoughts",
          widget: "string",
          required: false,
        }
      - {
          label: "Developer",
          name: "Developer",
          widget: "string",
          required: false,
        }
      - {
          label: "Date Finished",
          name: "date_finished",
          widget: "datetime",
          required: false,
        }
      - {
          label: "Featured Image",
          name: "featured_image",
          widget: "image",
          required: false,
        }
      - {
          label: "Tags",
          name: "tags",
          widget: "list",
          default: ["ps5", "vr", "steamdeck"],
          required: false,
        }
      - {
          label: "Expanded Thoughts",
          name: "expanded_thoughts",
          widget: "markdown",
          required: false,
        }
      - {
          label: "Playtime",
          name: "Playtime",
          widget: "string",
          required: false,
        }
      - { label: "Ranking", name: "ranking", widget: "string", required: false }

  - name: "ElisabethGamesBeat" # Used in routes, e.g., /admin/collections/elisabethGames. Is also the key when fetching data from the CMS.
    label: "Elisabeth Games I beat" # Used in the admin dashboard UI
    folder: "src/content/elisabethGamesBeat" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    slug: "{{fields.Game}}" # Use the game name as the file name
    fields: # The fields for each document
      - { label: "Game", name: "Game", widget: "string" }
      - {
          label: "Quick Thoughts",
          name: "Thoughts",
          widget: "string",
          required: false,
        }
      - {
          label: "Developer",
          name: "Developer",
          widget: "string",
          required: false,
        }
      - {
          label: "Date Finished",
          name: "date_finished",
          widget: "datetime",
          required: false,
        }
      - {
          label: "Featured Image",
          name: "featured_image",
          widget: "image",
          required: false,
        }
      - {
          label: "Tags",
          name: "tags",
          widget: "list",
          default: ["ps5", "vr", "steamdeck"],
          required: false,
        }
      - {
          label: "Expanded Thoughts",
          name: "expanded_thoughts",
          widget: "markdown",
          required: false,
        }
      - {
          label: "Playtime",
          name: "Playtime",
          widget: "string",
          required: false,
        }
      - { label: "Ranking", name: "ranking", widget: "string", required: false }

  - name: "RyanGamesBeat" # Used in routes, e.g., /admin/collections/ryanGames. Is also the key when fetching data from the CMS.
    label: "Ryan Games I beat" # Used in the admin dashboard UI
    folder: "src/content/ryanGamesBeat" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    slug: "{{fields.Game}}" # Use the game name as the file name
    fields: # The fields for each document
      - { label: "Game", name: "Game", widget: "string" }
      - {
          label: "Quick Thoughts",
          name: "Thoughts",
          widget: "string",
          required: false,
        }
      - {
          label: "Developer",
          name: "Developer",
          widget: "string",
          required: false,
        }
      - {
          label: "Date Finished",
          name: "date_finished",
          widget: "datetime",
          required: false,
        }
      - {
          label: "Featured Image",
          name: "featured_image",
          widget: "image",
          required: false,
        }
      - {
          label: "Tags",
          name: "tags",
          widget: "list",
          default: ["ps5", "vr", "steamdeck"],
          required: false,
        }
      - {
          label: "Expanded Thoughts",
          name: "expanded_thoughts",
          widget: "markdown",
          required: false,
        }
      - {
          label: "Playtime",
          name: "Playtime",
          widget: "string",
          required: false,
        }
      - { label: "Ranking", name: "ranking", widget: "string", required: false }
